extend("fiskheroes:hero_basic");
loadTextures({
    "layer1": "mk:stryker_layer1",
    "layer2": "mk:stryker_layer2",
    "gun": "mk:stryker_gun"
});

var utils = implement("fiskheroes:external/utils");

function initEffects(renderer) {
    utils.addLivery(renderer, "DESERT_EAGLE", "gun");
    renderer.bindProperty("fiskheroes:equipped_item").setItems([
        { "anchor": "rightLeg", "scale": 0.7, "offset": [-2.5, 0.75, -0.5], "rotation": [110.0, 0.0, 0.0] },
        { "anchor": "leftLeg", "scale": 0.7, "offset": [2.5, 0.75, -0.5], "rotation": [110.0, 0.0, 0.0] }
    ]);
}
